# example_basic_comms_end_device_afzdo.c File Reference

Resets Radio, configures this device to be a Zigbee End Device, joins a network, then sends a message to the coordinator every few seconds. Sleeps inbetween transmissions. More...

`#include "../HAL/hal.h"`
`#include "../ZNP/znp_interface.h"`
`#include "../ZNP/application_configuration.h"`
`#include "../ZNP/af_zdo.h"`
`#include "znp_example_utils.h"`

## Defines
#define | TEST_CLUSTER 0x77
void(* | timerIsr )(void)
signed int | returnValue
void | handleTimer ()
int | main (void)

## Detailed Description

Resets Radio, configures this device to be a Zigbee End Device, joins a network, then sends a message to the coordinator every few seconds. Sleeps inbetween transmissions.

Calibrates the Very-Low-Power Oscillator (VLO) in the MSP430. Uses VLO to wakup the processor. Note: you could also use an external 32kHz xtal for more accuracy/stability

Uses the AF/ZDO interface.

This matches example_basic_communications_coordinator.c Get the coordinator running first, or else the end device won't have anything to join to.

See also:
  http://processors.wiki.ti.com/index.php/Tutorial_on_the_Examples and http://e2e.ti.com/support/low_power_rf/default.aspx

Rev
  720

Author
  dsmith

Date
  2010-08-19 10:52:25 -0700 (Thu, 19 Aug 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

void handleTimer | ( |  | ) |

Handles timer interrupt

int main | ( | void |  | ) |

Calibrate the Very Low Power Oscillator (VLO) to use for sleep timing

Wait until we get on the network. We will receive a ZDO_STATE_CHANGE_IND message whenever the state changes.

## Variable Documentation

void(* timerIsr)(void)

function pointer (in hal file) for the function that gets called when the timer generates an int

All Data Structures Files Functions Variables Defines